class GlickrGrailsPlugin {
    // the plugin version
    def version = "0.1"
    // the version or versions of Grails the plugin is designed for
    def grailsVersion = "2.0 > *"
    // the other plugins this plugin depends on
    def dependsOn = [:]
    // resources that are excluded from plugin packaging
    def pluginExcludes = [
        "grails-app/views/error.gsp"
    ]

    def title = "Glickr Plugin" // Headline display name of the plugin
    def author = "Edwin van Nes"
    def authorEmail = "edwin@glickr.org"
    def description = '''\
Flickr is an image hosting and video hosting website, web services suite, and online community that was created by Ludicorp in 2004 and acquired by Yahoo! in 2005.
Flickr offers a fairly comprehensive web-service API that enables programmers to create applications that can perform almost any function that a user on the Flickr site can do.
This plugin aims to provide a feature complete implementation of the Flickr API by providing a Grails service and native Groovy classes that wrap the API.
So rather than having to deal with individual and Flickr specific API methods, the Glickr Plugin wraps API calls in native classes and provides typical Grails methods like .getByUsername(..) or .findAll()
'''

    // URL to the plugin's documentation
    def documentation = "http://grails.org/plugin/glickr"

    // License: one of 'APACHE', 'GPL2', 'GPL3'
    def license = "APACHE"

    // Details of company behind the plugin (if there is one)
    //    def organization = [ name: "My Company", url: "http://www.my-company.com/" ]

    // Any additional developers beyond the author specified above.
    //    def developers = [ [ name: "Joe Bloggs", email: "joe@bloggs.net" ]]

    // Location of the plugin's issue tracker.
    // def issueManagement = [ system: "JIRA", url: "http://jira.grails.org/browse/GPMYPLUGIN" ]
    // todo how to point to http://code.google.com/p/glickr/issues/list

    // Online location of the plugin's browseable source code.
    def scm = [ url: "http://code.google.com/p/glickr/source/browse/" ]

    def doWithWebDescriptor = { xml ->
        // TODO Implement additions to web.xml (optional), this event occurs before
    }

    def doWithSpring = {
        // TODO Implement runtime spring config (optional)
    }

    def doWithDynamicMethods = { ctx ->
        // TODO Implement registering dynamic methods to classes (optional)
    }

    def doWithApplicationContext = { applicationContext ->
        // TODO Implement post initialization spring config (optional)
    }

    def onChange = { event ->
        // TODO Implement code that is executed when any artefact that this plugin is
        // watching is modified and reloaded. The event contains: event.source,
        // event.application, event.manager, event.ctx, and event.plugin.
    }

    def onConfigChange = { event ->
        // TODO Implement code that is executed when the project configuration changes.
        // The event is the same as for 'onChange'.
    }

    def onShutdown = { event ->
        // TODO Implement code that is executed when the application shuts down (optional)
    }
}
