package org.glickr.api.activity

import org.glickr.api.FlickrApiMethod
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.activity.userComments
INFO: Returns a list of recent org.glickr.api on photos commented on by the calling user. Do not poll this method more than once an hour.

AUTHENTICATION: This method requires authentication with 'read' permission.

ARGUMENTS:
api_key (Required): Your API application key.
per_page (Optional): Number of items to return per page. If this argument is omitted, it defaults to 10. The maximum allowed value is 50.
page (Optional): The page of results to return. If this argument is omitted, it defaults to 1.

EXAMPLE RESPONSE:
<items>
  <item type="photoset" id="395" owner="12037949754@N01" primary="6521" secret="5a3cc65d72" server="2" comments="1" views="33" photos="7" more="0">
    <title>A set of photos</title>
    <org.glickr.api>
<event type="comment" user="12037949754@N01" username="Bees" dateadded="2006-04-03T10:47:04-07:00">yay</event>
    </org.glickr.api>
  </item>
  <item type="photo" id="10289" owner="12037949754@N01" secret="34da0d3891" server="2" comments="1" notes="0" views="47" faves="0" more="0">
    <title>A photo</title>
    <org.glickr.api>
<event type="comment" user="12037949754@N01" username="Bees" dateadded="2005-12-05T10:16:44-08:00">test</event>
<event type="note" user="12037949754@N01" username="Bees" dateadded="2005-06-14T14:40:29-07:00">nice</event>
    </org.glickr.api>
  </item>
</items>
---------------------------------------------------------------------------------------------------- */

class activityUserComments implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.activity.userComments'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}
