package org.glickr.api.auth

import org.glickr.api.FlickrApiMethod
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.auth.getFullToken
INFO: Get the full authentication token for a mini-token. This method call must be signed, and is deprecated in favour of OAuth.

AUTHENTICATION: This method does not require authentication.

ARGUMENTS:
api_key (Required): Your API application key.
mini_token (Required): The mini-token typed in by a user. It should be 9 digits long. It may optionally contain dashes.

EXAMPLE RESPONSE:
<auth>
  <token>976598454353455</token>
  <perms>write</perms>
  <user nsid="12037949754@N01" username="Bees" fullname="Cal H" />
</auth>
perms can have values of none, read, write or delete. For more information, see the Auth API spec.
---------------------------------------------------------------------------------------------------- */

class authGetFullToken implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.auth.getFullToken'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}
