package org.glickr.api.blogs

import org.glickr.api.FlickrApiMethod
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.blogs.getList
INFO: Get a list of configured blogs for the calling user.

AUTHENTICATION: This method requires authentication with 'read' permission.

ARGUMENTS:
api_key (Required): Your API application key.
service (Optional): Optionally only return blogs for a given service id.  You can get a list of from flickr.blogs.getServices().

EXAMPLE RESPONSE:
<blogs>
  <blog id="73" name="Bloxus test" needspassword="0" url="http://remote.bloxus.com/" />
  <blog id="74" name="Manila Test" needspassword="1" url="http://flickrtest1.userland.com/" />
</blogs>
The needspassword attribute indicates whether a call to flickr.blogs.postPhoto for this blog will require a password to be sent. When flickr has a password already stored, needspassword is 0
---------------------------------------------------------------------------------------------------- */

class blogsGetList implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.blogs.getList'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}
