package org.glickr.api.collections

import org.glickr.api.FlickrApiMethod
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.collections.getInfo
INFO: Returns information for a single collection.  Currently can only be called by the collection owner, this may change.

AUTHENTICATION: This method requires authentication with 'read' permission.

ARGUMENTS:
api_key (Required): Your API application key.
collection_id (Required): The ID of the collection to fetch information for.

EXAMPLE RESPONSE:
<collection id="12-72157594586579649" child_count="6" datecreate="2007-03-13T11:56:58-07:00" iconlarge="http://farm1.static.flickr.com/187/cols/73743fac2cf79_l.jpg" iconsmall="http://farm1.static.flickr.com/187/cols/72157594586579649_43fac2cf79_s.jpg" server="187" secret="36">
  <title>All My Photos</title>
  <description>Photos!</description>
  <iconphotos>
    <photo id="14" owner="12@N01" secret="b57ba5c" server="51" farm="1" title="in full cap and gown" ispublic="1" isfriend="0" isfamily="0" />
    <photo id="15" owner="12@N01" secret="ba1c2a8" server="58" farm="1" title="Just beyond the door" ispublic="0" isfriend="1" isfamily="0" />
    <photo id="17" owner="12@N01" secret="0001969" server="73" farm="1" title="IMG_3787.JPG" ispublic="1" isfriend="0" isfamily="0" />
    ....
  </iconphotos>
</collection>
---------------------------------------------------------------------------------------------------- */

class collectionsGetInfo implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.collections.getInfo'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}
