package org.glickr.api.collections

import org.glickr.api.FlickrApiMethod
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.collections.getTree
INFO: Returns a tree (or sub tree) of collections belonging to a given user.

AUTHENTICATION: This method does not require authentication.

ARGUMENTS:
api_key (Required): Your API application key.
collection_id (Optional): The ID of the collection to fetch a tree for, or zero to fetch the root collection. Defaults to zero.
user_id (Optional): The ID of the account to fetch the collection tree for. Deafults to the calling user.

EXAMPLE RESPONSE:
<collections>
  <collection id="12-72157594586579649" title="All My Photos" description="a collection" iconlarge="http://farm1.static.flickr.com/187/cols/37_43fac2cf79_l.jpg" iconsmall="http://farm1.static.flickr.com/187/cols/56_43fac2cf79_s.jpg">
    <set id="92157594171298291" title="kitesurfing" description="a set" />
    <set id="72157594247596158" title="faves" description="some favorites." />
  </collection>
</collections>  A nested tree of collections, and the collections and sets they contain.
---------------------------------------------------------------------------------------------------- */

class collectionsGetTree implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.collections.getTree'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}
