package org.glickr.api.commons

import org.glickr.api.FlickrApiMethod
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.commons.getInstitutions
INFO: Retrieves a list of the current Commons institutions.

AUTHENTICATION: This method does not require authentication.

ARGUMENTS:
api_key (Required): Your API application key.

EXAMPLE RESPONSE:
<rsp stat="ok">
  <institutions>
    <institution nsid="123456@N01" date_launch="2009-01-14T22:13:20-08:00">
<name>Institution</name>
<urls>
  <url type="site">http://example.com/</url>
  <url type="license">http://example.com/commons/license</url>
  <url type="flickr">http://flickr.com/photos/institution</url>
</urls>
    </institution>
  </institutions>
</rsp>
---------------------------------------------------------------------------------------------------- */

class commonsGetInstitutions implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.commons.getInstitutions'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}
