package org.glickr.api.contacts

import org.glickr.api.FlickrApiMethod
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.contacts.getList
INFO: Get a list of contacts for the calling user.

AUTHENTICATION: This method requires authentication with 'read' permission.

ARGUMENTS:
api_key (Required): Your API application key.
filter (Optional): An optional filter of the results. The following values are valid:
-friends: Only contacts who are friends (and not family)
-family: Only contacts who are family (and not friends)
-both: Only contacts who are both friends and family
-neither: Only contacts who are neither friends nor family
page (Optional): The page of results to return. If this argument is omitted, it defaults to 1.
per_page (Optional): Number of photos to return per page. If this argument is omitted, it defaults to 1000. The maximum allowed value is 1000.
sort (Optional): The order in which to sort the returned contacts. Defaults to name. The possible values are: name and time.

EXAMPLE RESPONSE:
<contacts page="1" pages="1" perpage="1000" total="3">
  <contact nsid="12037949629@N01" username="Eric" iconserver="1" realname="Eric Costello" friend="1" family="0" ignored="1" />
  <contact nsid="12037949631@N01" username="neb" iconserver="1" realname="Ben Cerveny" friend="0" family="0" ignored="0" />
  <contact nsid="41578656547@N01" username="cal_abc" iconserver="1" realname="Cal Henderson" friend="1" family="1" ignored="0" />
</contacts>
---------------------------------------------------------------------------------------------------- */

class contactsGetList implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.contacts.getList'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}