package org.glickr.api.contacts

import org.glickr.api.FlickrApiMethod
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.contacts.getPublicList
INFO: Get the contact list for a user.

AUTHENTICATION: This method does not require authentication.

ARGUMENTS:
api_key (Required): Your API application key.
user_id (Required): The NSID of the user to fetch the contact list for.
page (Optional): The page of results to return. If this argument is omitted, it defaults to 1.
per_page (Optional): Number of photos to return per page. If this argument is omitted, it defaults to 1000. The maximum allowed value is 1000.

EXAMPLE RESPONSE:
<contacts page="1" pages="1" perpage="1000" total="3">
  <contact nsid="12037949629@N01" username="Eric" iconserver="1" ignored="1" />
  <contact nsid="12037949631@N01" username="neb" iconserver="1" ignored="0" />
  <contact nsid="41578656547@N01" username="cal_abc" iconserver="1" ignored="0" />
</contacts>
See flickr.contacts.getList for an explanation of the response.
---------------------------------------------------------------------------------------------------- */

class contactsGetPublicList implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.contacts.getPublicList'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}