package org.glickr.api.galleries

import org.glickr.api.FlickrApiMethod
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.galleries.getList
INFO: Return the list of galleries created by a user.  Sorted from newest to oldest.

AUTHENTICATION: This method does not require authentication.

ARGUMENTS:
api_key (Required): Your API application key.
user_id (Required): The NSID of the user to get a galleries list for. If none is specified, the calling user is assumed.
per_page (Optional): Number of galleries to return per page. If this argument is omitted, it defaults to 100. The maximum allowed value is 500.
page (Optional): The page of results to return. If this argument is omitted, it defaults to 1.

EXAMPLE RESPONSE:
<galleries total="9" page="1" pages="1" per_page="100" user_id="34427469121@N01">
  <gallery id="5704-72157622637971865" url="http://www.flickr.com/photos/george/galleries/72157622637971865" owner="34427469121@N01" date_create="2009-11-08T12:17:02-08:00" date_update="2009-12-09T04:12:36-08:00" primary_photo_id="107391222" primary_photo_server="39" primary_photo_farm="1" primary_photo_secret="ffa" count_photos="16" count_videos="2">
    <title>I like me some black &amp;amp; white</title>
    <description>black and whites</description>
  </gallery>
  <gallery id="5704-72157622566655097" url="http://www.flickr.com/photos/george/galleries/72157622566655097" owner="34427469121@N01" date_create="2009-10-29T14:37:09-07:00" date_update="2009-12-10T08:25:43-08:00" primary_photo_id="497374910" primary_photo_server="231" primary_photo_farm="1" primary_photo_secret="9ae0f" count_photos="18" count_videos="0">
    <title>People Sleeping in Libraries</title>
    <description />
  </gallery>
</galleries>
---------------------------------------------------------------------------------------------------- */

class galleriesGetList implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.galleries.getList'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}