package org.glickr.api.galleries

import org.glickr.api.FlickrApiMethod
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.galleries.getListForPhoto
INFO: Return the list of galleries to which a photo has been added.  Galleries are returned sorted by date which the photo was added to the gallery.

AUTHENTICATION: This method does not require authentication.

ARGUMENTS:
api_key (Required): Your API application key.
photo_id (Required): The ID of the photo to fetch a list of galleries for.
per_page (Optional): Number of galleries to return per page. If this argument is omitted, it defaults to 100. The maximum allowed value is 500.
page (Optional): The page of results to return. If this argument is omitted, it defaults to 1.

EXAMPLE RESPONSE:
<galleries total="7" page="1" pages="1" per_page="100">
  <gallery id="9634-72157621980433950" url="http://www.flickr.com/photos/revdancatt/galleries/72157621980433950" owner="35468159852@N01" date_create="2009-08-08T09:24:07-07:00" date_update="2009-12-10T15:02:48-08:00" primary_photo_id="2080242123" primary_photo_server="2209" primary_photo_farm="3" primary_photo_secret="55c9" count_photos="18" count_videos="0">
    <title>Vivitar Ultra Wide &amp;amp; Slim Selection</title>
    <description>The cheap and cheerful camera that isn't quite as cheap as it used to be.</description>
  </gallery>
  <gallery id="22342631-72157622254010831" url="http://www.flickr.com/photos/22365685@N03/galleries/72157622254010831" owner="22365685@N03" date_create="2009-09-15T10:17:00-07:00" date_update="2009-12-09T23:53:38-08:00" primary_photo_id="3182914049" primary_photo_server="3319" primary_photo_farm="4" primary_photo_secret="b94fb" count_photos="13" count_videos="0">
    <title>Awesome Pics</title>
    <description />
  </gallery>
</galleries>
---------------------------------------------------------------------------------------------------- */

class galleriesGetListForPhoto implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.galleries.getListForPhoto'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}