package org.glickr.api.groups

import org.glickr.api.FlickrApiMethod
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.groups.browse
INFO: Browse the group category tree, finding groups and sub-categories.

AUTHENTICATION: This method requires authentication with 'read' permission.

ARGUMENTS:
api_key (Required): Your API application key.
cat_id (Optional): The category id to fetch a list of groups and sub-categories for. If not specified, it defaults to zero, the root of the category tree.

EXAMPLE RESPONSE:
<category name="Alt" path="/Alt" pathids="/63">
  <subcat id="80" name="18+" count="0" />
  <subcat id="82" name="Absurd" count="4" />
  <group nsid="34955637532@N01" name="Cal's Public Test Group" members="13" online="1" chatnsid="34955637533@N01" inchat="0" />
  <group nsid="34158032587@N01" name="Eric's Alt Group Test" members="3" online="0" chatnsid="34158032588@N01" inchat="0" />
</category>

The count attribute of the subcat element gives the number of groups inside the subcat.
The members attribute of the group element gives the total number of members in the group. The online attribute gives a count of the members who are currently online. The inchat attribute gives a count of the number of people in the group's chat, regardless of whether they are members of the group.
---------------------------------------------------------------------------------------------------- */

class groupsBrowse implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.groups.browse'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}