package org.glickr.api.groups

import org.glickr.api.FlickrApiMethod
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.groups.getInfo
INFO: Get information about a group.

AUTHENTICATION: This method does not require authentication.

ARGUMENTS:
api_key (Required): Your API application key.
group_id (Required): The NSID of the group to fetch information for.
lang (Optional): The language of the group name and description to fetch.  If the language is not found, the primary language of the group will be returned.
Valid values are the same as in feeds.

EXAMPLE RESPONSE:
<group id="34427465497@N01" iconserver="1" iconfarm="1" lang="en-us" ispoolmoderated="0">
  <name>GNEverybody</name>
  <description>The group for GNE players</description>
  <members>69</members>
  <privacy>3</privacy>
  <throttle count="10" mode="month" remaining="3" />
  <restrictions photos_ok="1" videos_ok="1" images_ok="1" screens_ok="1" art_ok="1" safe_ok="1" moderate_ok="0" restricted_ok="0" has_geo="0" />
</group>
---------------------------------------------------------------------------------------------------- */

class groupsGetInfo implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.groups.getInfo'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}