package org.glickr.api.groups

import org.glickr.api.FlickrApiMethod
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.groups.members.getList
INFO: Get a list of the members of a group.  The call must be signed on behalf of a Flickr member, and the ability to see the group membership will be determined by the Flickr member's group privileges.
AUTHENTICATION: This method requires authentication with 'read' permission.
ARGUMENTS:
api_key (Required): Your API application key.
group_id (Required): Return a list of members for this group.  The group must be viewable by the Flickr member on whose behalf the API call is made.
membertypes (Optional): Comma separated list of member types:
-2: member
-3: moderator
-4: admin
By default returns all types.  (Returning super rare member type "1: narwhal" isn't supported by this API method)
per_page (Optional): Number of members to return per page. If this argument is omitted, it defaults to 100. The maximum allowed value is 500.
page (Optional): The page of results to return. If this argument is omitted, it defaults to 1.
EXAMPLE RESPONSE:
<members page="1" pages="1" perpage="100" total="33">
  <member nsid="123456@N01" username="foo" iconserver="1" iconfarm="1" membertype="2" />
  <member nsid="118210@N07" username="kewlchops666" iconserver="0" iconfarm="0" membertype="4" />
  <member nsid="119377@N07" username="Alpha Shanan" iconserver="0" iconfarm="0" membertype="2" />
  <member nsid="67783977@N00" username="fakedunstanp1" iconserver="1003" iconfarm="2" membertype="3" />
...

</members>
---------------------------------------------------------------------------------------------------- */

class groupsMembersGetList implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.groups.members.getList'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}