package org.glickr.api.groups

import org.glickr.api.FlickrApiMethod
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.groups.search
INFO: Search for groups. 18+ groups will only be returned for authenticated calls where the authenticated user is over 18.

AUTHENTICATION: This method does not require authentication.

ARGUMENTS:
api_key (Required): Your API application key.
text (Required): The text to search for.
per_page (Optional): Number of groups to return per page. If this argument is ommited, it defaults to 100. The maximum allowed value is 500.
page (Optional): The page of results to return. If this argument is ommited, it defaults to 1.

EXAMPLE RESPONSE:
<groups page="1" pages="14" perpage="5" total="67">
  <group nsid="3000@N02" name="Frito's Test Group" eighteenplus="0" />
  <group nsid="32825757@N00" name="Free for All" eighteenplus="0" />
  <group nsid="33335981560@N01" name="joly's mothers" eighteenplus="0" />
  <group nsid="33853651681@N01" name="Wintermute tower" eighteenplus="0" />
  <group nsid="33853651696@N01" name="Art and Literature Hoedown" eighteenplus="0" />
</groups>
---------------------------------------------------------------------------------------------------- */

class groupsSearch implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.groups.search'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}