package org.glickr.api.groups.pools

import org.glickr.api.FlickrApiMethod
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.groups.pools.getGroups
INFO: Returns a list of groups to which you can add photos.
AUTHENTICATION: This method requires authentication with 'read' permission.
ARGUMENTS:
api_key (Required): Your API application key.
page (Optional): The page of results to return. If this argument is omitted, it defaults to 1.
per_page (Optional): Number of groups to return per page. If this argument is omitted, it defaults to 400. The maximum allowed value is 400.
EXAMPLE RESPONSE:
<groups page="1" pages="1" per_page="400" total="3">
  <group nsid="33853651696@N01" name="Art and Literature Hoedown" admin="0" privacy="3" photos="2" iconserver="1" />
  <group nsid="34427465446@N01" name="FlickrIdeas" admin="1" privacy="3" photos="20" iconserver="1" />
  <group nsid="34427465497@N01" name="GNEverybody" admin="0" privacy="3" photos="4" iconserver="1" />
</groups>
The privacy attribute is 1 for private groups, 2 for invite-only public groups and 3 for open public groups.
---------------------------------------------------------------------------------------------------- */

class poolsGetGroups implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.groups.pools.getGroups'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}