package org.glickr.api.groups.pools

import org.glickr.api.FlickrApiMethod
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.groups.pools.getPhotos
INFO: Returns a list of pool photos for a given group, based on the permissions of the group and the user logged in (if any).
AUTHENTICATION: This method does not require authentication.
ARGUMENTS:
api_key (Required): Your API application key.
group_id (Required): The id of the group who's pool you which to get the photo list for.
tags (Optional): A tag to filter the pool with. At the moment only one tag at a time is supported.
user_id (Optional): The nsid of a user. Specifiying this parameter will retrieve for you only those photos that the user has contributed to the group pool.
extras (Optional): A comma-delimited list of extra information to fetch for each returned record. Currently supported fields are: description, license, date_upload, date_taken, owner_name, icon_server, original_format, last_update, geo, tags, machine_tags, o_dims, views, media, path_alias, url_sq, url_t, url_s, url_q, url_m, url_n, url_z, url_c, url_l, url_o
per_page (Optional): Number of photos to return per page. If this argument is omitted, it defaults to 100. The maximum allowed value is 500.
page (Optional): The page of results to return. If this argument is omitted, it defaults to 1.
EXAMPLE RESPONSE:
<photos page="1" pages="1" perpage="1" total="1">
  <photo id="2645" owner="12037949754@N01" title="36679_o" secret="a9f4a06091" server="2" ispublic="1" isfriend="0" isfamily="0" ownername="Bees / ?" dateadded="2004-07-15T12:11:47-07:00" />
</photos>
---------------------------------------------------------------------------------------------------- */

class poolsGetPhotos implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.groups.pools.getPhotos'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}