package org.glickr.api.machinetags

import org.glickr.api.FlickrApiMethod
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.machinetags.getNamespaces
INFO: Return a list of unique namespaces, optionally limited by a given predicate, in alphabetical order.

AUTHENTICATION: This method does not require authentication.

ARGUMENTS:
api_key (Required): Your API application key.
predicate (Optional): Limit the list of namespaces returned to those that have the following predicate.
per_page (Optional): Number of photos to return per page. If this argument is omitted, it defaults to 100. The maximum allowed value is 500.
page (Optional): The page of results to return. If this argument is omitted, it defaults to 1.

EXAMPLE RESPONSE:
<namespaces page="1" total="5" perpage="500" pages="1">
  <namespace usage="6538" predicates="13">aero</namespace>
  <namespace usage="9072" predicates="24">flickr</namespace>
  <namespace usage="670270" predicates="35">geo</namespace>
  <namespace usage="23903" predicates="36">taxonomy</namespace>
  <namespace usage="50449" predicates="4">upcoming</namespace>
</namespaces>  "Usage" gives you roughly how popular a machine tags, while "predicates" is the count of distinct predicates a namespace has.
---------------------------------------------------------------------------------------------------- */

class machinetagsGetNamespaces implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.machinetags.getNamespaces'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}