package org.glickr.api.machinetags

import org.glickr.api.FlickrApiMethod
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.machinetags.getPairs
INFO: Return a list of unique namespace and predicate pairs, optionally limited by predicate or namespace, in alphabetical order.

AUTHENTICATION: This method does not require authentication.

ARGUMENTS:
api_key (Required): Your API application key.
namespace (Optional): Limit the list of pairs returned to those that have the following namespace.
predicate (Optional): Limit the list of pairs returned to those that have the following predicate.
per_page (Optional): Number of photos to return per page. If this argument is omitted, it defaults to 100. The maximum allowed value is 500.
page (Optional): The page of results to return. If this argument is omitted, it defaults to 1.

EXAMPLE RESPONSE:
<pairs page="1" total="1228" perpage="500" pages="3">
  <pair namespace="aero" predicate="airline" usage="1093">aero:airline</pair>
  <pair namespace="aero" predicate="icao" usage="4">aero:icao</pair>
  <pair namespace="aero" predicate="model" usage="1026">aero:model</pair>
  <pair namespace="aero" predicate="tail" usage="1048">aero:tail</pair>
</pairs>
---------------------------------------------------------------------------------------------------- */

class machinetagsGetPairs implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.machinetags.getPairs'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}