package org.glickr.api.machinetags

import org.glickr.api.FlickrApiMethod
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.machinetags.getPredicates
INFO: Return a list of unique predicates, optionally limited by a given namespace.

AUTHENTICATION: This method does not require authentication.

ARGUMENTS:
api_key (Required): Your API application key.
namespace (Optional): Limit the list of predicates returned to those that have the following namespace.
per_page (Optional): Number of photos to return per page. If this argument is omitted, it defaults to 100. The maximum allowed value is 500.
page (Optional): The page of results to return. If this argument is omitted, it defaults to 1.

EXAMPLE RESPONSE:
<predicates page="1" pages="1" total="3" perpage="500">
  <predicate usage="20" namespaces="1">elbow</predicate>
  <predicate usage="52" namespaces="2">face</predicate>
  <predicate usage="10" namespaces="1">hand</predicate>
</predicates>
---------------------------------------------------------------------------------------------------- */

class machinetagsGetPredicates implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.machinetags.getPredicates'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}