package org.glickr.api.machinetags

import org.glickr.api.FlickrApiMethod
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.machinetags.getRecentValues
INFO: Fetch recently used (or created) machine tags values.

AUTHENTICATION: This method does not require authentication.

ARGUMENTS:
api_key (Required): Your API application key.
namespace (Optional): A namespace that all values should be restricted to.
predicate (Optional): A predicate that all values should be restricted to.
added_since (Optional): Only return machine tags values that have been added since this timestamp, in epoch seconds.

EXAMPLE RESPONSE:
<values namespace="taxonomy" predicate="common" page="1" total="500" perpage="500" pages="1">
  <value usage="4" namespace="taxonomy" predicate="common" first_added="1244232796" last_added="1244232796">maui chaff flower</value>
</values>
---------------------------------------------------------------------------------------------------- */

class machinetagsGetRecentValues implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.machinetags.getRecentValues'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}