package org.glickr.api.machinetags

import org.glickr.api.FlickrApiMethod
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.machinetags.getValues
INFO: Return a list of unique values for a namespace and predicate.

AUTHENTICATION: This method does not require authentication.

ARGUMENTS:
api_key (Required): Your API application key.
namespace (Required): The namespace that all values should be restricted to.
predicate (Required): The predicate that all values should be restricted to.
per_page (Optional): Number of photos to return per page. If this argument is omitted, it defaults to 100. The maximum allowed value is 500.
page (Optional): The page of results to return. If this argument is omitted, it defaults to 1.

EXAMPLE RESPONSE:
<values namespace="upcoming" predicate="event" page="1" pages="1" total="3" perpage="500">
  <value usage="3">123</value>
  <value usage="1">456</value>
  <value usage="147">789</value>
</values>
---------------------------------------------------------------------------------------------------- */

class machinetagsGetValues implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.machinetags.getValues'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}