package org.glickr.api.people

import org.glickr.api.FlickrApiMethod
import org.glickr.FlickrPeople
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.people.getLimits
INFO: Returns the photo and video limits that apply to the calling user account.

AUTHENTICATION: This method requires authentication with 'read' permission.

ARGUMENTS:
api_key (Required): Your API application key.

EXAMPLE RESPONSE:
<person nsid="30135021@N05">
  <photos maxdisplaypx="1024" maxupload="15728640" />
  <videos maxduration="90" maxupload="157286400" />
</person>  -photos/@maxdisplaypx: maximum size in pixels for photos displayed on the site (0 means that no limit is in place). No limit is placed on the dimension of photos uploaded.
-photos/@maxupload: maximum file size in bytes for photo uploads.
-videos/@maxduration: maximum duration in seconds of a video.
-videos/@maxupload: maximum file size in bytes for video uploads.

For more details, see the documentation about limits.
---------------------------------------------------------------------------------------------------- */

class peopleGetLimits implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.people.getLimits'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}
