package org.glickr.api.people

import org.glickr.api.FlickrApiMethod
import org.glickr.FlickrPeople
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.people.getPublicGroups
INFO: Returns the list of public groups a user is a member of.

AUTHENTICATION: This method does not require authentication.

ARGUMENTS:
api_key (Required): Your API application key.
user_id (Required): The NSID of the user to fetch groups for.
invitation_only (Optional): Include public groups that require an invitation or administrator approval to join.

EXAMPLE RESPONSE:
<groups>
  <group nsid="34427469792@N01" name="FlickrCentral" admin="0" eighteenplus="0" invitation_only="0" />
  <group nsid="37114057624@N01" name="Cal's Test Group" admin="1" eighteenplus="0" invitation_only="1" />
  <group nsid="34955637532@N01" name="18+ Group" admin="1" eighteenplus="1" invitation_only="0" />
</groups>
The admin attribute indicates whether the user is an administrator of the group. The eighteenplus attribute indicates if the group is visible to members over 18 only. The invite_only attribute indicates whether a user can join the group without administrator approval.
---------------------------------------------------------------------------------------------------- */


class peopleGetPublicGroups implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.people.getPublicGroups'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}
