package org.glickr.api.people

import org.glickr.api.FlickrApiMethod
import org.glickr.FlickrPeople
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.people.getUploadStatus
INFO: Returns information for the calling user related to photo uploads.

AUTHENTICATION: This method requires authentication with 'read' permission.

ARGUMENTS:
api_key (Required): Your API application key.

EXAMPLE RESPONSE:
<user id="12037949754@N01" ispro="1">
  <username>Bees</username>
  <bandwidth maxbytes="2147483648" maxkb="2097152" usedbytes="383724" usedkb="374" remainingbytes="2147099924" remainingkb="2096777" />
  <filesize maxbytes="10485760" maxkb="10240" />
  <sets created="27" remaining="lots" />
  <videos uploaded="5" remaining="lots" />
</user>
Bandwidth and filesize numbers are provided in bytes and kilobytes. If you're using 32bit numbers, stick to using the kilobyte values - they shouldn't ever exceed 2/4 billion, while the byte values will.
Bandwidth is specified in bytes/kb per month.
All accounts display "lots" for the number of remaining sets, but remains in the response for backwards compatibility.
Pro accounts display "lots" for the number of remaining videos, while free users will display 0, 1, or 2.
---------------------------------------------------------------------------------------------------- */


class peopleGetUploadStatus implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.people.getUploadStatus'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}
