package org.glickr.api.photos.comments

import org.glickr.api.FlickrApiMethod
import org.glickr.FlickrPhoto
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.photos.comments.getRecentForContacts
INFO: Return the list of photos belonging to your contacts that have been commented on recently.
AUTHENTICATION: This method requires authentication with 'read' permission.
ARGUMENTS:
api_key (Required): Your API application key.
date_lastcomment (Optional): Limits the resultset to photos that have been commented on since this date. The date should be in the form of a Unix timestamp.
The default, and maximum, offset is (1) hour.

contacts_filter (Optional): A comma-separated list of contact NSIDs to limit the scope of the query to.
extras (Optional): A comma-delimited list of extra information to fetch for each returned record. Currently supported fields are: description, license, date_upload, date_taken, owner_name, icon_server, original_format, last_update, geo, tags, machine_tags, o_dims, views, media, path_alias, url_sq, url_t, url_s, url_q, url_m, url_n, url_z, url_c, url_l, url_o
per_page (Optional): Number of photos to return per page. If this argument is omitted, it defaults to 100. The maximum allowed value is 500.
page (Optional): The page of results to return. If this argument is omitted, it defaults to 1.
EXAMPLE RESPONSE:

This method returns the standard photo list xml:
<photos page="2" pages="89" perpage="10" total="881">
	<photo id="2636" owner="47058503995@N01"
		secret="a123456" server="2" title="test_04"
		ispublic="1" isfriend="0" isfamily="0" />
	<photo id="2635" owner="47058503995@N01"
		secret="b123456" server="2" title="test_03"
		ispublic="0" isfriend="1" isfamily="1" />
	<photo id="2633" owner="47058503995@N01"
		secret="c123456" server="2" title="test_01"
		ispublic="1" isfriend="0" isfamily="0" />
	<photo id="2610" owner="12037949754@N01"
		secret="d123456" server="2" title="00_tall"
		ispublic="1" isfriend="0" isfamily="0" />
</photos>
To map <photo> elements to urls, please read the url documentation.
---------------------------------------------------------------------------------------------------- */

class commentsGetRecentForContacts implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.photos.comments.getRecentForContacts'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}