package org.glickr.api.photos.geo

import org.glickr.api.FlickrApiMethod
import org.glickr.FlickrPhoto
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.photos.geo.batchCorrectLocation
INFO: Correct the places hierarchy for all the photos for a user at a given latitude, longitude and accuracy.
Batch corrections are processed in a delayed queue so it may take a few minutes before the changes are reflected in a user's photos.
AUTHENTICATION: This method requires authentication with 'write' permission.

Note: This method requires an HTTP POST request.
ARGUMENTS:
api_key (Required): Your API application key.
lat (Required): The latitude of the photos to be update whose valid range is -90 to 90. Anything more than 6 decimal places will be truncated.
lon (Required): The longitude of the photos to be updated whose valid range is -180 to 180. Anything more than 6 decimal places will be truncated.
accuracy (Required): Recorded accuracy level of the photos to be updated. World level is 1, Country is ~3, Region ~6, City ~11, Street ~16. Current range is 1-16. Defaults to 16 if not specified.
place_id (Optional): A Flickr Places ID. (While optional, you must pass either a valid Places ID or a WOE ID.)
woe_id (Optional): A Where On Earth (WOE) ID. (While optional, you must pass either a valid Places ID or a WOE ID.)
EXAMPLE RESPONSE:

This method has no specific response - It returns an empty success response if it completes without error.



---------------------------------------------------------------------------------------------------- */

class geoBatchCorrectLocation implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.photos.geo.batchCorrectLocation'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}