package org.glickr.api.photos.geo

import org.glickr.api.FlickrApiMethod
import org.glickr.FlickrPhoto
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.photos.geo.setLocation
INFO: Sets the geo data (latitude and longitude and, optionally, the accuracy level) for a photo.
Before users may assign location data to a photo they must define who, by default, may view that information. Users can edit this preference at http://www.flickr.com/account/geo/privacy/. If a user has not set this preference, the API method will return an error.
AUTHENTICATION: This method requires authentication with 'write' permission.

Note: This method requires an HTTP POST request.
ARGUMENTS:
api_key (Required): Your API application key.
photo_id (Required): The id of the photo to set location data for.
lat (Required): The latitude whose valid range is -90 to 90. Anything more than 6 decimal places will be truncated.
lon (Required): The longitude whose valid range is -180 to 180. Anything more than 6 decimal places will be truncated.
accuracy (Optional): Recorded accuracy level of the location information. World level is 1, Country is ~3, Region ~6, City ~11, Street ~16. Current range is 1-16. Defaults to 16 if not specified.
context (Optional): Context is a numeric value representing the photo's geotagginess beyond latitude and longitude. For example, you may wish to indicate that a photo was taken "indoors" or "outdoors".
The current list of context IDs is :
-0, not defined.
-1, indoors.
-2, outdoors.
The default context for geotagged photos is 0, or "not defined"

EXAMPLE RESPONSE:

This method has no specific response - It returns an empty success response if it completes without error.
---------------------------------------------------------------------------------------------------- */

class geoSetLocation implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.photos.geo.setLocation'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}