package org.glickr.api.photos

import org.glickr.api.FlickrApiMethod
import org.glickr.FlickrPhoto
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.photos.getContactsPhotos
INFO: Fetch a list of recent photos from the calling users' contacts.

AUTHENTICATION: This method requires authentication with 'read' permission.

ARGUMENTS:
api_key (Required): Your API application key.
count (Optional): Number of photos to return. Defaults to 10, maximum 50. This is only used if single_photo is not passed.
just_friends (Optional): set as 1 to only show photos from friends and family (excluding regular contacts).
single_photo (Optional): Only fetch one photo (the latest) per contact, instead of all photos in chronological order.
include_self (Optional): Set to 1 to include photos from the calling user.
extras (Optional): A comma-delimited list of extra information to fetch for each returned record. Currently supported fields include: license, date_upload, date_taken, owner_name, icon_server, original_format, last_update. For more information see extras under flickr.photos.search.

EXAMPLE RESPONSE:
<photos>
  <photo id="2801" owner="12037949629@N01" secret="123456" server="1" username="Eric is the best" title="grease" />
  <photo id="2499" owner="33853651809@N01" secret="123456" server="1" username="cal18" title="36679_o" />
  <photo id="2437" owner="12037951898@N01" secret="123456" server="1" username="georgie parker" title="phoenix9_stewart" />
</photos>
---------------------------------------------------------------------------------------------------- */

class photosGetContactsPhotos implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.photos.getContactsPhotos'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}
