package org.glickr.api.photos

import org.glickr.api.FlickrApiMethod
import org.glickr.FlickrPhoto
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.photos.getCounts
INFO: Gets a list of photo counts for the given date ranges for the calling user.

AUTHENTICATION: This method requires authentication with 'read' permission.

ARGUMENTS:
api_key (Required): Your API application key.
dates (Optional): A comma delimited list of unix timestamps, denoting the periods to return counts for. They should be specified smallest first.
taken_dates (Optional): A comma delimited list of mysql datetimes, denoting the periods to return counts for. They should be specified smallest first.

EXAMPLE RESPONSE:
<photocounts>
  <photocount count="4" fromdate="2004-08-26T17:35:50-07:00" todate="2004-08-27T17:35:50-07:00" />
  <photocount count="0" fromdate="2004-08-27T17:35:50-07:00" todate="2004-08-28T17:35:50-07:00" />
  <photocount count="0" fromdate="2004-08-28T17:35:50-07:00" todate="2004-08-29T17:35:50-07:00" />
  <photocount count="2" fromdate="2004-08-29T17:35:50-07:00" todate="2004-08-30T17:35:50-07:00" />
  <photocount count="0" fromdate="2004-08-30T17:35:50-07:00" todate="2004-08-31T17:35:50-07:00" />
  <photocount count="0" fromdate="2004-08-31T17:35:50-07:00" todate="2004-09-01T17:35:50-07:00" />
  <photocount count="0" fromdate="2004-09-01T17:35:50-07:00" todate="2004-09-02T17:35:50-07:00" />
</photocounts>
---------------------------------------------------------------------------------------------------- */

class photosGetCounts implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.photos.getCounts'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}
