package org.glickr.api.photos

import org.glickr.api.FlickrApiMethod
import org.glickr.FlickrPhoto
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.photos.getFavorites
INFO: Returns the list of people who have favorited a given photo.

AUTHENTICATION: This method does not require authentication.

ARGUMENTS:
api_key (Required): Your API application key.
photo_id (Required): The ID of the photo to fetch the favoriters list for.
page (Optional): The page of results to return. If this argument is omitted, it defaults to 1.
per_page (Optional): Number of usres to return per page. If this argument is omitted, it defaults to 10. The maximum allowed value is 50.

EXAMPLE RESPONSE:
<photo id="1253576" secret="81b96be690" server="1" farm="1" page="1" pages="3" perpage="10" total="27">
  <person nsid="33939862@N00" username="Dementation" favedate="2006-12-21T00:28:10-08:00" />
  <person nsid="49485425@N00" username="indigenous_prodigy" favedate="2006-12-19T16:15:24-08:00" />
  <person nsid="46834205@N00" username="smaaz" favedate="2006-10-26T07:47:32-07:00" />
  <person nsid="95626108@N00" username="chrome Foxpuppy" favedate="2006-10-10T17:55:54-07:00" />
  <person nsid="44991966@N00" username="getnoid" favedate="2006-10-02T15:39:49-07:00" />
  <person nsid="92544710@N00" username="miss_rogue" favedate="2006-09-11T21:11:06-07:00" />
  <person nsid="50944224@N00" username="Infollatus" favedate="2006-08-11T10:30:36-07:00" />
  <person nsid="80544408@N00" username="DafyddLlyr" favedate="2006-05-24T16:02:43-07:00" />
  <person nsid="31154299@N00" username="c r i s" favedate="2006-03-22T19:40:24-08:00" />
  <person nsid="54309070@N00" username="Shinayaker" favedate="2006-03-17T00:30:19-08:00" />
</photo>
---------------------------------------------------------------------------------------------------- */

class photosGetFavorites implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.photos.getFavorites'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}
