package org.glickr.api.photos

import org.glickr.api.FlickrApiMethod
import org.glickr.FlickrPhoto
import org.glickr.FlickrPeople
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.photos.people.add
INFO: Add a person to a photo. Coordinates and sizes of boxes are optional; they are measured in pixels, based on the 500px image size shown on individual photo pages.

AUTHENTICATION: This method requires authentication with 'write' permission.
Note: This method requires an HTTP POST request.

ARGUMENTS:
api_key (Required): Your API application key.
photo_id (Required): The id of the photo to add a person to.
user_id (Required): The NSID of the user to add to the photo.
person_x (Optional): The left-most pixel co-ordinate of the box around the person.
person_y (Optional): The top-most pixel co-ordinate of the box around the person.
person_w (Optional): The width (in pixels) of the box around the person.
person_h (Optional): The height (in pixels) of the box around the person.

EXAMPLE RESPONSE:
This method has no specific response - It returns an empty success response if it completes without error.
---------------------------------------------------------------------------------------------------- */

class photosPeopleAdd implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.photos.people.add'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}
