package org.glickr.api.photos

import org.glickr.api.FlickrApiMethod
import org.glickr.FlickrPhoto
import org.glickr.FlickrPeople
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.photos.people.editCoords
INFO: Edit the bounding box of an existing person on a photo.

AUTHENTICATION: This method requires authentication with 'write' permission.
Note: This method requires an HTTP POST request.

ARGUMENTS:
api_key (Required): Your API application key.
photo_id (Required): The id of the photo to edit a person in.
user_id (Required): The NSID of the person to edit in a photo.
person_x (Required): The left-most pixel co-ordinate of the box around the person.
person_y (Required): The top-most pixel co-ordinate of the box around the person.
person_w (Required): The width (in pixels) of the box around the person.
person_h (Required): The height (in pixels) of the box around the person.

EXAMPLE RESPONSE:
This method has no specific response - It returns an empty success response if it completes without error.
---------------------------------------------------------------------------------------------------- */

class photosPeopleEditCoords implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.photos.people.editCoords'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}
