package org.glickr.api.photos

import org.glickr.api.FlickrApiMethod
import org.glickr.FlickrPhoto
import org.glickr.FlickrPeople
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.photos.people.getList
INFO: Get a list of people in a given photo.

AUTHENTICATION: This method does not require authentication.

ARGUMENTS:
api_key (Required): Your API application key.
photo_id (Required): The id of the photo to get a list of people for.

EXAMPLE RESPONSE:
<people total="1">
  <person nsid="87944415@N00" username="hitherto" iconserver="1" iconfarm="1" realname="Simon Batistoni" added_by="12037949754@N01" x="50" y="50" w="100" h="100" />
</people>  x, y, w and h correspond to the coordinates of the "bounding box" around a person in a photo. Since these co-ordinates are optional, these elements may not be present for every person.
---------------------------------------------------------------------------------------------------- */

class photosPeopleGetList implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.photos.people.getList'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}
