package org.glickr.api.photos

import org.glickr.api.FlickrApiMethod
import org.glickr.FlickrPhoto
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.photos.recentlyUpdated
INFO: Return a list of your photos that have been recently created or which have been recently modified.
Recently modified may mean that the photo's metadata (title, description, tags) may have been changed or a comment has been added (or just modified somehow :-)

AUTHENTICATION: This method requires authentication with 'read' permission.

ARGUMENTS:
api_key (Required): Your API application key.
min_date (Required): A Unix timestamp or any English textual datetime description indicating the date from which modifications should be compared.
extras (Optional): A comma-delimited list of extra information to fetch for each returned record. Currently supported fields are: description, license, date_upload, date_taken, owner_name, icon_server, original_format, last_update, geo, tags, machine_tags, o_dims, views, media, path_alias, url_sq, url_t, url_s, url_q, url_m, url_n, url_z, url_c, url_l, url_o
per_page (Optional): Number of photos to return per page. If this argument is omitted, it defaults to 100. The maximum allowed value is 500.
page (Optional): The page of results to return. If this argument is omitted, it defaults to 1.

EXAMPLE RESPONSE:
<photos page="1" pages="1" perpage="100" total="2">
  <photo id="169885459" owner="35034348999@N01" secret="c85114c195" server="46" title="Doubting Michael" ispublic="1" isfriend="0" isfamily="0" lastupdate="2006-06-19T15:24:48-07:00" />
  <photo id="85022332" owner="35034348999@N01" secret="23de6de0c0" server="41" title=""Do you think we're allowed to tape stuff to the walls?"" ispublic="1" isfriend="0" isfamily="0" lastupdate="2006-06-17T10:22:54-07:00" />
</photos>
Photos are sorted by their date updated timestamp, in descending order.
---------------------------------------------------------------------------------------------------- */

class photosRecentlyUpdated implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.photos.recentlyUpdated'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}
