package org.glickr.api.photos

import org.glickr.api.FlickrApiMethod
import org.glickr.FlickrPhoto
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.photos.setPerms
INFO: Set permissions for a photo.

AUTHENTICATION: This method requires authentication with 'write' permission.
Note: This method requires an HTTP POST request.

ARGUMENTS:
api_key (Required): Your API application key.
photo_id (Required): The id of the photo to set permissions for.
is_public (Required): 1 to set the photo to public, 0 to set it to private.
is_friend (Required): 1 to make the photo visible to friends when private, 0 to not.
is_family (Required): 1 to make the photo visible to family when private, 0 to not.
perm_comment (Required): who can add comments to the photo and it's notes. one of:
perm_addmeta (Required): who can add notes and tags to the photo. one of:

EXAMPLE RESPONSE:
<photoid secret="abcdef" originalsecret="abcdef">1234</photoid>
---------------------------------------------------------------------------------------------------- */

class photosSetPerms implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.photos.setPerms'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}
