package org.glickr.api.photos

import org.glickr.api.FlickrApiMethod
import org.glickr.FlickrPhoto
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.photos.setSafetyLevel
INFO: Set the safety level of a photo.

AUTHENTICATION: This method requires authentication with 'write' permission.
Note: This method requires an HTTP POST request.

ARGUMENTS:
api_key (Required): Your API application key.
photo_id (Required): The id of the photo to set the adultness of.
safety_level (Optional): The safety level of the photo.  Must be one of:
1 for Safe, 2 for Moderate, and 3 for Restricted.
hidden (Optional): Whether or not to additionally hide the photo from public searches.  Must be either 1 for Yes or 0 for No.

EXAMPLE RESPONSE:
<rsp stat="ok">
  <photo id="14814" safety_level="2" hidden="0" />
</rsp>
---------------------------------------------------------------------------------------------------- */

class photosSetSafetyLevel implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.photos.setSafetyLevel'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}
