package org.glickr.api.photos.suggestions

import org.glickr.api.FlickrApiMethod
import org.glickr.FlickrPhoto
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.photos.suggestions.suggestLocation
INFO: Suggest a geotagged location for a photo.
AUTHENTICATION: This method requires authentication with 'write' permission.

Note: This method requires an HTTP POST request.
ARGUMENTS:
api_key (Required): Your API application key.
photo_id (Required): The photo whose location you are suggesting.
lat (Required): The latitude whose valid range is -90 to 90. Anything more than 6 decimal places will be truncated.
lon (Required): The longitude whose valid range is -180 to 180. Anything more than 6 decimal places will be truncated.
accuracy (Optional): Recorded accuracy level of the location information. World level is 1, Country is ~3, Region ~6, City ~11, Street ~16. Current range is 1-16. Defaults to 16 if not specified.
woe_id (Optional): The WOE ID of the location used to build the location hierarchy for the photo.
place_id (Optional): The Flickr Places ID of the location used to build the location hierarchy for the photo.
note (Optional): A short note or history to include with the suggestion.
EXAMPLE RESPONSE:

This method has no specific response - It returns an empty success response if it completes without error.
---------------------------------------------------------------------------------------------------- */

class suggestionsSuggestLocation implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.photos.suggestions.suggestLocation'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}