package org.glickr.api.photos.upload

import org.glickr.api.FlickrApiMethod
import org.glickr.FlickrPhoto
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.photos.upload.checkTickets
INFO: Checks the status of one or more asynchronous photo upload tickets.
AUTHENTICATION: This method does not require authentication.
ARGUMENTS:
api_key (Required): Your API application key.
tickets (Required): A comma-delimited list of ticket ids
EXAMPLE RESPONSE:
<uploader>
  <ticket id="128" complete="1" photoid="2995" />
  <ticket id="129" complete="0" />
  <ticket id="130" complete="2" />
  <ticket id="131" invalid="1" />
</uploader>
There is one <ticket> element for each ticket id supplied. The id attribute contains the corresponding ticket id. If the ticket wasn't found, the invalid attribute is set. The status of the ticket is passed in the status attribute; 0 means not completed, 1 means completed and 2 means the ticket failed (indicating there was a problem converting the file). When the status is 1, the photo id is passed in the photoid attribute. The photo id can then be used as with the synchronous upload API.
---------------------------------------------------------------------------------------------------- */

class uploadCheckTickets implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.photos.upload.checkTickets'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}