package org.glickr.api.photosets

import groovy.util.slurpersupport.GPathResult
import org.glickr.api.FlickrApiMethod

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.photosets.editPhotos
INFO: Modify the photos in a photoset. Use this method to add, remove and re-order photos.
AUTHENTICATION: This method requires authentication with 'write' permission.

Note: This method requires an HTTP POST request.
ARGUMENTS:
api_key (Required): Your API application key.
photoset_id (Required): The id of the photoset to modify. The photoset must belong to the calling user.
primary_photo_id (Required): The id of the photo to use as the 'primary' photo for the set. This id must also be passed along in photo_ids list argument.
photo_ids (Required): A comma-delimited list of photo ids to include in the set. They will appear in the set in the order sent. This list must contain the primary photo id. All photos must belong to the owner of the set. This list of photos replaces the existing list. Call flickr.photosets.addPhoto to append a photo to a set.
EXAMPLE RESPONSE:

This method has no specific response - It returns an empty success response if it completes without error.


---------------------------------------------------------------------------------------------------- */

class photosetsEditPhotos implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.photosets.editPhotos'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}