package org.glickr.api.photosets

import groovy.util.slurpersupport.GPathResult
import org.glickr.api.FlickrApiMethod

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.photosets.getList
INFO: Returns the photosets belonging to the specified user.
AUTHENTICATION: This method does not require authentication.
ARGUMENTS:
api_key (Required): Your API application key.
user_id (Optional): The NSID of the user to get a photoset list for. If none is specified, the calling user is assumed.
page (Optional): The page of results to get. Currently, if this is not provided, all sets are returned, but this behaviour may change in future.
per_page (Optional): The number of sets to get per page. If paging is enabled, the maximum number of sets per page is 500.
EXAMPLE RESPONSE:
<photosets page="1" pages="1" perpage="30" total="2" cancreate="1">
  <photoset id="72157626216528324" primary="5504567858" secret="017804c585" server="5174" farm="6" photos="22" videos="0" count_views="137" count_comments="0" can_comment="1" date_create="2011-03-07T08:14:58-08:00" date_update="2011-03-16T21:10:09-07:00">
    <title>Avis Blanche</title>
    <description>My Grandma's Recipe File.</description>
  </photoset>
  <photoset id="72157624618609504" primary="4847770787" secret="6abd09a292" server="4153" farm="5" photos="43" videos="12" count_views="523" count_comments="1" can_comment="1" date_create="2010-07-30T15:56:33-07:00" date_update="2011-06-14T15:42:58-07:00">
    <title>Mah Kittehs</title>
    <description>Sixty and Niner. Born on the 3rd of May, 2010, or thereabouts. Came to my place on Thursday, July 29, 2010.</description>
  </photoset>
</photosets>
Photosets are returned in the user's specified order, which may not mean the newest set is first. Applications displaying photosets should respect the user's ordering.
---------------------------------------------------------------------------------------------------- */

class photosetsGetList implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.photosets.getList'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}