package org.glickr.api.photosets

import groovy.util.slurpersupport.GPathResult
import org.glickr.api.FlickrApiMethod

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.photosets.getPhotos
INFO: Get the list of photos in a set.
AUTHENTICATION: This method does not require authentication.
ARGUMENTS:
api_key (Required): Your API application key.
photoset_id (Required): The id of the photoset to return the photos for.
extras (Optional): A comma-delimited list of extra information to fetch for each returned record. Currently supported fields are: license, date_upload, date_taken, owner_name, icon_server, original_format, last_update, geo, tags, machine_tags, o_dims, views, media, path_alias, url_sq, url_t, url_s, url_m, url_o
privacy_filter (Optional): Return photos only matching a certain privacy level. This only applies when making an authenticated call to view a photoset you own. Valid values are:
-1 public photos
-2 private photos visible to friends
-3 private photos visible to family
-4 private photos visible to friends &amp; family
-5 completely private photos

per_page (Optional): Number of photos to return per page. If this argument is omitted, it defaults to 500. The maximum allowed value is 500.
page (Optional): The page of results to return. If this argument is omitted, it defaults to 1.
media (Optional): Filter results by media type. Possible values are all (default), photos or videos
EXAMPLE RESPONSE:
<photoset id="4" primary="2483" page="1" perpage="500" pages="1" total="2">
  <photo id="2484" secret="123456" server="1" title="my photo" isprimary="0" />
  <photo id="2483" secret="123456" server="1" title="flickr rocks" isprimary="1" />
</photoset>
---------------------------------------------------------------------------------------------------- */

class photosetsGetPhotos implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.photosets.getPhotos'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}