package org.glickr.api.places

import org.glickr.api.FlickrApiMethod
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.places.find
INFO: Return a list of place IDs for a query string.
The flickr.places.find method is not a geocoder. It will round up to the nearest place type to which place IDs apply. For example, if you pass it a street level address it will return the city that contains the address rather than the street, or building, itself.

AUTHENTICATION: This method does not require authentication.

ARGUMENTS:
api_key (Required): Your API application key.
query (Required): The query string to use for place ID lookups

EXAMPLE RESPONSE:
<places query="Alabama" total="3">
  <place place_id="VrrjuESbApjeFS4." woeid="2347559" latitude="32.614" longitude="-86.680" place_url="/United+States/Alabama" place_type="region">Alabama, Alabama, United States</place>
  <place place_id="cGHuc0mbApmzEHoP" woeid="2352520" latitude="43.096" longitude="-78.389" place_url="/United+States/New+York/Alabama" place_type="locality">Alabama, New York, United States</place>
  <place place_id="o4yVPEqYBJvFMP8Q" woeid="1579389" latitude="-26.866" longitude="26.583" place_url="/South+Africa/North+West/Alabama" place_type="locality">Alabama, North West, South Africa</place>
</places>  Each place returned will contain its place ID, corresponding URL (underneath www.flickr.com/places) and place type for disambiguating different locations with the same name.
---------------------------------------------------------------------------------------------------- */

class placesFind implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.places.find'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}