package org.glickr.api.places

import org.glickr.api.FlickrApiMethod
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.places.findByLatLon
INFO: Return a place ID for a latitude, longitude and accuracy triple.
The flickr.places.findByLatLon method is not meant to be a (reverse) geocoder in the traditional sense. It is designed to allow users to find photos for "places" and will round up to the nearest place type to which corresponding place IDs apply.
For example, if you pass it a street level coordinate it will return the city that contains the point rather than the street, or building, itself.
It will also truncate latitudes and longitudes to three decimal points.

AUTHENTICATION: This method does not require authentication.

ARGUMENTS:
api_key (Required): Your API application key.
lat (Required): The latitude whose valid range is -90 to 90. Anything more than 4 decimal places will be truncated.
lon (Required): The longitude whose valid range is -180 to 180. Anything more than 4 decimal places will be truncated.
accuracy (Optional): Recorded accuracy level of the location information. World level is 1, Country is ~3, Region ~6, City ~11, Street ~16. Current range is 1-16. The default is 16.

EXAMPLE RESPONSE:
<places latitude="37.76513627957266" longitude="-122.42020770907402" accuracy="16" total="1">
  <place place_id="Y12JWsKbApmnSQpbQg" woeid="23512048" latitude="37.765" longitude="-122.424" place_url="/United+States/California/San+Francisco/Mission+Dolores" place_type="neighbourhood" place_type_id="22" timezone="America/Los_Angeles" name="Mission Dolores, San Francisco, CA, US, United States" />
</places>
---------------------------------------------------------------------------------------------------- */

class placesFindByLatLon implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.places.findByLatLon'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}