package org.glickr.api.places

import org.glickr.api.FlickrApiMethod
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.places.getChildrenWithPhotosPublic
INFO: Return a list of locations with public photos that are parented by a Where on Earth (WOE) or Places ID.

AUTHENTICATION: This method does not require authentication.

ARGUMENTS:
api_key (Required): Your API application key.
place_id (Optional): A Flickr Places ID. (While optional, you must pass either a valid Places ID or a WOE ID.)
woe_id (Optional): A Where On Earth (WOE) ID. (While optional, you must pass either a valid Places ID or a WOE ID.)

EXAMPLE RESPONSE:
<places total="79">
  <place place_id="HznQfdKbB58biy8sdA" woeid="26332794" latitude="45.498" longitude="-73.575" place_url="/Canada/Quebec/Montreal  /Montreal+Golden+Square+Mile" place_type="neighbourhood" photo_count="2717">
Montreal Golden Square Mile, Montreal, QC, CA, Canada
   </place>
  <place place_id="K1rYWmGbB59rwn7lOA" woeid="26332799" latitude="45.502" longitude="-73.578" place_url="/Canada/Quebec/Montreal/Downtown+Montr%C3%A9al" place_type="neighbourhood" photo_count="2317">
Downtown Montréal, Montreal, QC, CA, Canada
  </place>
</places>
---------------------------------------------------------------------------------------------------- */

class placesGetChildrenWithPhotosPublic implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.places.getChildrenWithPhotosPublic'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}