package org.glickr.api.places

import org.glickr.api.FlickrApiMethod
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.places.getInfoByUrl
INFO: Lookup information about a place, by its flickr.com/places URL.

AUTHENTICATION: This method does not require authentication.

ARGUMENTS:
api_key (Required): Your API application key.
url (Required): A flickr.com/places URL in the form of /country/region/city. For example: /Canada/Quebec/Montreal

EXAMPLE RESPONSE:
<place place_id="4hLQygSaBJ92" woeid="3534" latitude="45.512" longitude="-73.554" place_url="/Canada/Quebec/Montreal" place_type="locality" has_shapedata="1">
  <locality place_id="4hLQygSaBJ92" woeid="3534" latitude="45.512" longitude="-73.554" place_url="/Canada/Quebec/Montreal">Montreal</locality>
  <county place_id="cFBi9x6bCJ8D5rba1g" woeid="29375198" latitude="45.551" longitude="-73.600" place_url="/cFBi9x6bCJ8D5rba1g">Montréal</county>
  <region place_id="CrZUvXebApjI0.72" woeid="2344924" latitude="53.890" longitude="-68.429" place_url="/Canada/Quebec">Quebec</region>
  <country place_id="EESRy8qbApgaeIkbsA" woeid="23424775" latitude="62.358" longitude="-96.582" place_url="/Canada">Canada</country>
  <shapedata created="1223513357" alpha="0.012359619140625" count_points="34778" count_edges="52">
    <polylines>
<polyline>
45.427627563477,-73.589645385742 45.428966522217,-73.587898254395, etc...
   </polyline>
    </polylines>
  </shapedata>
</place>
---------------------------------------------------------------------------------------------------- */

class placesGetInfoByUrl implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.places.getInfoByUrl'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}