package org.glickr.api.places

import org.glickr.api.FlickrApiMethod
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.places.getShapeHistory
INFO: Return an historical list of all the shape data generated for a Places or Where on Earth (WOE) ID.

AUTHENTICATION: This method does not require authentication.

ARGUMENTS:
api_key (Required): Your API application key.
place_id (Optional): A Flickr Places ID. (While optional, you must pass either a valid Places ID or a WOE ID.)
woe_id (Optional): A Where On Earth (WOE) ID. (While optional, you must pass either a valid Places ID or a WOE ID.)
EXAMPLE RESPONSE:
<shapes total="2" woe_id="3534" place_id="4hLQygSaBJ92" place_type="locality" place_type_id="7">
  <shapedata created="1223513357" alpha="0.012359619140625" count_points="34778" count_edges="52" is_donuthole="0">
    <polylines>
<polyline>
45.427627563477,-73.589645385742 45.428966522217,-73.587898254395, etc...
   </polyline>
    </polylines>
    <urls>
<shapefile>
   http://farm4.static.flickr.com/3228/shapefiles/3534_20081111_0a8afe03c5.tar.gz
   </shapefile>
    </urls>
  </shapedata>
</shapes>
---------------------------------------------------------------------------------------------------- */

class placesGetShapeHistory implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.places.getShapeHistory'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}