package org.glickr.api.places

import org.glickr.api.FlickrApiMethod
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.places.getTopPlacesList
INFO: Return the top 100 most geotagged places for a day.

AUTHENTICATION: This method does not require authentication.

ARGUMENTS:
api_key (Required): Your API application key.
place_type_id (Required): The numeric ID for a specific place type to cluster photos by.
Valid place type IDs are :
-22: neighbourhood
-7: locality
-8: region
-12: country
-29: continent
date (Optional): A valid date in YYYY-MM-DD format. The default is yesterday.
woe_id (Optional): Limit your query to only those top places belonging to a specific Where on Earth (WOE) identifier.
place_id (Optional): Limit your query to only those top places belonging to a specific Flickr Places identifier.

EXAMPLE RESPONSE:
<places total="100" date_start="2009-06-29T17:00:00-07:00" date_stop="2009-06-30T16:59:59-07:00">
  <place place_id="4KO02SibApitvSBieQ" woeid="23424977" latitude="48.890" longitude="-116.982" place_url="/United+States" place_type="country" place_type_id="12" photo_count="23371">United States</place>
</places>
---------------------------------------------------------------------------------------------------- */

class placesGetTopPlacesList implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.places.getTopPlacesList'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}