package org.glickr.api.places

import org.glickr.api.FlickrApiMethod
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.places.tagsForPlace
INFO: Return a list of the top 100 unique tags for a Flickr Places or Where on Earth (WOE) ID
AUTHENTICATION: This method does not require authentication.

ARGUMENTS:
api_key (Required): Your API application key.
woe_id (Optional): A Where on Earth identifier to use to filter photo clusters.
(While optional, you must pass either a valid Places ID or a WOE ID.)
place_id (Optional): A Flickr Places identifier to use to filter photo clusters.
(While optional, you must pass either a valid Places ID or a WOE ID.)
min_upload_date (Optional): Minimum upload date. Photos with an upload date greater than or equal to this value will be returned. The date should be in the form of a unix timestamp.
max_upload_date (Optional): Maximum upload date. Photos with an upload date less than or equal to this value will be returned. The date should be in the form of a unix timestamp.
min_taken_date (Optional): Minimum taken date. Photos with an taken date greater than or equal to this value will be returned. The date should be in the form of a mysql datetime.
max_taken_date (Optional): Maximum taken date. Photos with an taken date less than or equal to this value will be returned. The date should be in the form of a mysql datetime.

EXAMPLE RESPONSE:
<tags total="100">
  <tag count="31775">montreal</tag>
  <tag count="20585">canada</tag>
  <tag count="12319">montréal</tag>
  <tag count="12154">quebec</tag>
  <tag count="6471">québec</tag>
  <tag count="2173">sylvainmichaud</tag>
  <tag count="2091">nikon</tag>
  <tag count="1541">lucbus</tag>
  <tag count="1539">music</tag>
  <tag count="1479">urban</tag>
  <tag count="1425">lucbussieres</tag>
  <tag count="1419">festival</tag>
</tags>
---------------------------------------------------------------------------------------------------- */

class placesTagsForPlace implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.places.tagsForPlace'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}