package org.glickr.api.prefs

import org.glickr.api.FlickrApiMethod
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.prefs.getGeoPerms
INFO: Returns the default privacy level for geographic information attached to the user's photos and whether or not the user has chosen to use geo-related EXIF information to automatically geotag their photos.

Possible values, for viewing geotagged photos, are:
-0 : No default set
-1 : Public
-2 : Contacts only
-3 : Friends and Family only
-4 : Friends only
-5 : Family only
-6 : Private
Users can edit this preference at http://www.flickr.com/account/geo/privacy/.
Possible values for whether or not geo-related EXIF information will be used to geotag a photo are:
-0: Geo-related EXIF information will be ignored
-1: Geo-related EXIF information will be used to try and geotag photos on upload
Users can edit this preference at http://www.flickr.com/account/geo/exif/?from=privacy

AUTHENTICATION: This method requires authentication with 'read' permission.

ARGUMENTS:
api_key (Required): Your API application key.

EXAMPLE RESPONSE:
<rsp stat="ok">
  <person nsid="12037949754@N01" geoperms="1" importgeoexif="0" />
</rsp>
---------------------------------------------------------------------------------------------------- */

class prefsGetGeoPerms implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.prefs.getGeoPerms'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}