package org.glickr.api.reflection

import org.glickr.api.FlickrApiMethod
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.reflection.getMethodInfo
INFO: Returns information for a given flickr API method.

AUTHENTICATION: This method does not require authentication.

ARGUMENTS:
api_key (Required): Your API application key.
method_name (Required): The name of the method to fetch information for.

EXAMPLE RESPONSE:
<method name="flickr.fakeMethod" needslogin="1">
  <description>A fake method</description>
  <response>xml-response-example</response>
  <explanation>explanation of example response</explanation>
  <arguments>
    <argument name="api_key" optional="0">
			You API application key.</argument>
    <argument name="color" optional="1">
			Your favorite color.</argument>
  </arguments>
  <errors>
    <error code="1" message="Photo not found">
			Full explanation...</error>
    <error code="100" message="Invalid API Key">
			Full explanation...</error>
  </errors>
</method>
---------------------------------------------------------------------------------------------------- */

class reflectionGetMethodInfo implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.reflection.getMethodInfo'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}