package org.glickr.api.stats

import org.glickr.api.FlickrApiMethod
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.stats.getCSVFiles
INFO: Returns a list of URLs for text files containing all your stats data (from November 26th 2007 onwards) for the currently auth'd user.
Please note, these files will only be available until June 1, 2010 Noon PDT.
For more information please check out this FAQ, or just go download your files.

AUTHENTICATION: This method requires authentication with 'read' permission.

ARGUMENTS:
api_key (Required): Your API application key.

EXAMPLE RESPONSE:
<stats>
  <csvfiles>
    <csv href="http://farm4.static.flickr.com/3496/stats/72157623902771865_faaa.csv" type="daily" date="1969-12-31T16:33:30-08:00">2010-04-01" />
    <csv href="http://farm4.static.flickr.com/3376/stats/72157624027152370_fbbb.csv" type="monthly" date="1969-12-31T16:33:30-08:00">2010-04-01" />
    <csv href="http://farm5.static.flickr.com/4006/stats/72157623627769689_fccc.csv" type="daily" date="1969-12-31T16:33:30-08:00">2010-03-01" />
    ....
  </csvfiles>
</stats>
---------------------------------------------------------------------------------------------------- */

class statsGetCSVFiles implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.stats.getCSVFiles'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}