package org.glickr.api.stats

import org.glickr.api.FlickrApiMethod
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.stats.getCollectionDomains
INFO: Get a list of referring domains for a collection

AUTHENTICATION: This method requires authentication with 'read' permission.

ARGUMENTS:
api_key (Required): Your API application key.
date (Required): Stats will be returned for this date. This should be in either be in YYYY-MM-DD or unix timestamp format.
A day according to Flickr Stats starts at midnight GMT for all users, and timestamps will automatically be rounded down to the start of the day.
collection_id (Optional): The id of the collection to get stats for. If not provided, stats for all collections will be returned.
per_page (Optional): Number of domains to return per page. If this argument is omitted, it defaults to 25. The maximum allowed value is 100.
page (Optional): The page of results to return. If this argument is omitted, it defaults to 1.

EXAMPLE RESPONSE:
<domains page="1" perpage="25" pages="1" total="3">
  <domain name="images.search.yahoo.com" views="127" />
  <domain name="flickr.com" views="122" />
  <domain name="images.google.com" views="70" />
</domains>
There is one <domain> element for each referring domain, with attributes for the domain name and the number of views.
For details on the referrers coming from each domain listed you can call flickr.stats.getCollectionReferrers
---------------------------------------------------------------------------------------------------- */

class statsGetCollectionDomains implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.stats.getCollectionDomains'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}