package org.glickr.api.stats

import org.glickr.api.FlickrApiMethod
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.stats.getPhotoStats
INFO: Get the number of views, comments and favorites on a photo for a given date.

AUTHENTICATION: This method requires authentication with 'read' permission.

ARGUMENTS:
api_key (Required): Your API application key.
date (Required): Stats will be returned for this date. This should be in either be in YYYY-MM-DD or unix timestamp format.
A day according to Flickr Stats starts at midnight GMT for all users, and timestamps will automatically be rounded down to the start of the day.
photo_id (Required): The id of the photo to get stats for.

EXAMPLE RESPONSE:
<stats views="24" comments="4" favorites="1" />
---------------------------------------------------------------------------------------------------- */

class statsGetPhotoStats implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.stats.getPhotoStats'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}