package org.glickr.api.stats

import org.glickr.api.FlickrApiMethod
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.stats.getTotalViews

INFO: Get the overall view counts for an account
AUTHENTICATION: This method requires authentication with 'read' permission.

ARGUMENTS:
api_key (Required): Your API application key.
date (Optional): Stats will be returned for this date. This should be in either be in YYYY-MM-DD or unix timestamp format.
A day according to Flickr Stats starts at midnight GMT for all users, and timestamps will automatically be rounded down to the start of the day.
If no date is provided, all time view counts will be returned.

EXAMPLE RESPONSE:
<stats>
  <total views="469" />
  <photos views="386" />
  <photostream views="72" />
  <sets views="11" />
  <collections views="0" />
</stats>
---------------------------------------------------------------------------------------------------- */

class statsGetTotalViews implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.stats.getTotalViews'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}